%define majver %(echo %version | cut -d. -f1-2)

Name:          discover
Version:       5.16.1
Release:       1mamba
Summary:       KDE Frameworks 5 application installer
Group:         Graphical Desktop/Applications/Administration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        https://download.kde.org/stable/plasma/%{version}/discover-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libappstream-qt-devel
BuildRequires: libattica5-devel
BuildRequires: libgcc
BuildRequires: libkarchive-devel
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libkdeclarative-devel
BuildRequires: libki18n-devel
BuildRequires: libkio-devel
BuildRequires: libkitemmodels-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknewstuff-devel
BuildRequires: libknotifications-devel
BuildRequires: libkpackage-devel
BuildRequires: libkservice-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libpackagekitqt5-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libpackagekitqt5-devel >= 1:1.0.1-1mamba
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      kirigami2
Provides:      packagekitgui
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 application installer.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/discover.categories
%{_bindir}/plasma-discover
%dir %{_libdir}/plasma-discover
%{_libdir}/plasma-discover/libDiscover*.so
%dir %{_libdir}/qt5/plugins/discover
%{_libdir}/qt5/plugins/discover/kns-backend.so
%{_libdir}/qt5/plugins/discover/packagekit-backend.so
%dir %{_libdir}/qt5/plugins/discover-notifier
%{_libdir}/qt5/plugins/discover-notifier/DiscoverPackageKitNotifier.so
%{_libexecdir}/kf5/discover/runservice
%dir %{_libdir}/qt5/qml/org/kde/discovernotifier
%{_libdir}/qt5/qml/org/kde/discovernotifier/*
%{_datadir}/applications/org.kde.discover*.desktop
%dir %{_datadir}/discover
%dir %{_datadir}/discover/pkcategories
%{_datadir}/discover/pkcategories/*.jpg
%{_datadir}/libdiscover/categories/packagekit-backend-categories.xml
%{_datadir}/icons/hicolor/*/apps/plasmadiscover.png
%{_datadir}/icons/hicolor/scalable/apps/plasmadiscover.svgz
%{_datadir}/knotifications5/discoverabstractnotifier.notifyrc
%{_datadir}/knsrcfiles/discover_ktexteditor_codesnippets_core.knsrc
%{_datadir}/kservices5/plasma-applet-org.kde.discovernotifier.desktop
%{_datadir}/kxmlgui5/plasmadiscover/plasmadiscoverui.rc
%{_datadir}/metainfo/org.kde.discover*.xml
%dir %{_datadir}/plasma/plasmoids/org.kde.discovernotifier
%{_datadir}/plasma/plasmoids/org.kde.discovernotifier/*
%doc COPYING COPYING.LIB

%changelog
* Wed Jun 19 2019 Automatic Build System <autodist@mambasoft.it> 5.16.1-1mamba
- automatic version update by autodist

* Sun Jun 16 2019 Automatic Build System <autodist@mambasoft.it> 5.16.0-1mamba
- automatic version update by autodist

* Tue May 07 2019 Automatic Build System <autodist@mambasoft.it> 5.15.5-1mamba
- automatic version update by autodist

* Tue Apr 02 2019 Automatic Build System <autodist@mambasoft.it> 5.15.4-1mamba
- automatic version update by autodist

* Wed Mar 13 2019 Automatic Build System <autodist@mambasoft.it> 5.15.3-1mamba
- automatic version update by autodist

* Tue Feb 26 2019 Automatic Build System <autodist@mambasoft.it> 5.15.2-1mamba
- automatic version update by autodist

* Wed Feb 20 2019 Automatic Build System <autodist@mambasoft.it> 5.15.1-1mamba
- automatic version update by autodist

* Wed Feb 13 2019 Automatic Build System <autodist@mambasoft.it> 5.15.0-1mamba
- automatic version update by autodist

* Wed Jan 09 2019 Automatic Build System <autodist@mambasoft.it> 5.14.5-1mamba
- automatic version update by autodist

* Tue Nov 27 2018 Automatic Build System <autodist@mambasoft.it> 5.14.4-1mamba
- automatic version update by autodist

* Tue Nov 06 2018 Automatic Build System <autodist@mambasoft.it> 5.14.3-1mamba
- automatic version update by autodist

* Tue Oct 23 2018 Automatic Build System <autodist@mambasoft.it> 5.14.2-1mamba
- automatic version update by autodist

* Tue Oct 16 2018 Automatic Build System <autodist@mambasoft.it> 5.14.1-1mamba
- automatic version update by autodist

* Sun Oct 14 2018 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Tue Sep 04 2018 Automatic Build System <autodist@mambasoft.it> 5.13.5-1mamba
- automatic version update by autodist

* Fri Aug 03 2018 Automatic Build System <autodist@mambasoft.it> 5.13.4-1mamba
- automatic version update by autodist

* Tue Jul 10 2018 Automatic Build System <autodist@mambasoft.it> 5.13.3-1mamba
- automatic version update by autodist

* Tue Jun 26 2018 Automatic Build System <autodist@mambasoft.it> 5.13.2-1mamba
- automatic version update by autodist

* Tue Jun 19 2018 Automatic Build System <autodist@mambasoft.it> 5.13.1-1mamba
- automatic version update by autodist

* Thu Jun 14 2018 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Tue May 01 2018 Automatic Build System <autodist@mambasoft.it> 5.12.5-1mamba
- automatic version update by autodist

* Sun Apr 01 2018 Automatic Build System <autodist@mambasoft.it> 5.12.4-1mamba
- automatic version update by autodist

* Fri Mar 16 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.12.3-2mamba
- rebuilt by autoport with build requirements: libpackagekitqt5-devel>=1.0.1-1mamba

* Tue Mar 06 2018 Automatic Build System <autodist@mambasoft.it> 5.12.3-1mamba
- automatic version update by autodist

* Wed Feb 21 2018 Automatic Build System <autodist@mambasoft.it> 5.12.2-1mamba
- automatic version update by autodist

* Wed Feb 14 2018 Automatic Build System <autodist@mambasoft.it> 5.12.1-1mamba
- automatic version update by autodist

* Thu Feb 08 2018 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Wed Jan 03 2018 Automatic Build System <autodist@mambasoft.it> 5.11.5-1mamba
- automatic version update by autodist

* Thu Dec 07 2017 Automatic Build System <autodist@mambasoft.it> 5.11.4-1mamba
- automatic version update by autodist

* Tue Nov 07 2017 Automatic Build System <autodist@mambasoft.it> 5.11.3-1mamba
- automatic version update by autodist

* Tue Oct 24 2017 Automatic Build System <autodist@mambasoft.it> 5.11.2-1mamba
- automatic version update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 5.11.1-1mamba
- automatic version update by autodist

* Mon Oct 16 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.11.0-2mamba
- bump release to to backporting 5.10.5 changes

* Mon Oct 16 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.11.0-1mamba
- update to 5.11.0

* Mon Oct 16 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.10.5-4mamba
- don't obsolete apper; provide packagekitgui

* Fri Oct 13 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.10.5-3mamba
- rebuilt wwith packagekit-Qt5 support

* Sat Sep 23 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.10.5-2mamba
- require kirigami2

* Sat Sep 23 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.10.5-1mamba
- package created using the webbuild interface
